// Copyright (c) 2019 Giorgos Vougioukas
//
// The license can be found in the LICENSE file.

#ifndef _EUTERPE_LICENSE_WINDOW_H_
#define _EUTERPE_LICENSE_WINDOW_H_

#include "euterpe/definitions.h"
#include "WDL/wingui/wndsize.h"

class RSE_LicenseWnd
{
public:
  RSE_LicenseWnd();
  ~RSE_LicenseWnd();

  HWND Handle() const;
  static WDL_DLGRET ST_LicenseWndProc(HWND hwnd, UINT msg, WPARAM wparam, LPARAM lparam);

private:
  WDL_DLGRET LicenseWndProc(UINT msg, WPARAM wparam, LPARAM lparam);

  HWND m_hwnd;

  WDL_WndSizer m_resize;
};

#endif // _EUTERPE_LICENSE_WINDOW_H_
